[eclipse-p2-discovery] Update to latest upstream.

Krzysztof Daniel kdaniel at fedoraproject.org
Tue Jul 10 11:52:15 UTC 2012


commit 17def68ba395043a14a4834936455d9302e28012
Author: Krzysztof Daniel <kdaniel at redhat.com>
Date:   Tue Jul 10 13:51:34 2012 +0200

    Update to latest upstream.

 .gitignore                        |    2 ++
 eclipse-p2-discovery-fetch-src.sh |   37 ++++++++++++++-----------------------
 eclipse-p2-discovery.spec         |   17 ++++++++++-------
 sources                           |    2 +-
 4 files changed, 27 insertions(+), 31 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 7c1f6cc..0d8ac67 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,4 @@
 /eclipse-p2-discovery-fetched-src-v20100503.tar.xz
 eclipse-p2-discovery-fetched-src-v20110519.tar.xz
+eclipse-p2-discovery-fetched-src-R4_2.tar.xz
+/eclipse-p2-discovery-R4_2
diff --git a/eclipse-p2-discovery-fetch-src.sh b/eclipse-p2-discovery-fetch-src.sh
old mode 100644
new mode 100755
index a166cbe..ed3493a
--- a/eclipse-p2-discovery-fetch-src.sh
+++ b/eclipse-p2-discovery-fetch-src.sh
@@ -1,31 +1,22 @@
 #!/bin/bash
 NAME="eclipse-p2-discovery"
-VERSION="1.0.100"
-TAG="v20110519"
-BUILD="R-3.7-201106131736"
+TAG=R4_2
 
-echo "Exporting from CVS..."
-mkdir $NAME-$VERSION-$TAG
-pushd $NAME-$VERSION-$TAG >/dev/null
+set -e
 
-MAPFILE=$NAME.map
-TEMPMAPFILE=temp.map
-wget "http://download.eclipse.org/eclipse/downloads/drops/$BUILD/directory.txt" -O $MAPFILE
-dos2unix $MAPFILE
-egrep 'p2.discovery|ui.discovery' $MAPFILE > $TEMPMAPFILE
+rm -rf $NAME-$TAG
+rm -rf rt.equinox.p2
+rm  -f $NAME-fetched-src-$TAG.tar.xz
 
-gawk 'BEGIN {
-	FS=","
-}
-{
-	split($2, version, "=");
-	split($4, dirName, "=");
-	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous at dev.eclipse.org:", "/cvsroot/rt", "-q export -r", version[2], "-d", dirName[2], dirName[2]) | "/bin/bash";
+git clone -b $TAG http://git.eclipse.org/gitroot/equinox/rt.equinox.p2.git
 
-}' $TEMPMAPFILE
+#for the sake of compatibility
+mkdir -p $NAME-$TAG/org.eclipse.equinox/p2/features
+mkdir -p $NAME-$TAG/org.eclipse.equinox/p2/plugins
 
-rm $TEMPMAPFILE $MAPFILE
-popd >/dev/null
+cp -r rt.equinox.p2/features/org.eclipse.equinox.p2.discovery.feature $NAME-$TAG/org.eclipse.equinox/p2/features 
+cp -r rt.equinox.p2/bundles/org.eclipse.equinox.p2.{discovery,discovery.compatibility,ui.discovery} $NAME-$TAG/org.eclipse.equinox/p2/plugins
 
-echo "Creating tarball '$NAME-fetched-src-$TAG.tar.xz'..."
-tar -cJf $NAME-fetched-src-$TAG.tar.xz $NAME-$VERSION-$TAG
+rm -rf rt.equinox.p2
+
+tar -cJf $NAME-fetched-src-$TAG.tar.xz $NAME-$TAG
diff --git a/eclipse-p2-discovery.spec b/eclipse-p2-discovery.spec
index 7c5559b..b165939 100644
--- a/eclipse-p2-discovery.spec
+++ b/eclipse-p2-discovery.spec
@@ -1,10 +1,10 @@
-%global src_repo_tag   v20110519
+%global src_repo_tag   R4_2
 %global eclipse_base   %{_libdir}/eclipse
 %global install_loc    %{_datadir}/eclipse/dropins/discovery
 
 Name:           eclipse-p2-discovery
-Version:        1.0.100
-Release:        2%{?dist}
+Version:        4.2.0
+Release:        1%{?dist}
 Summary:        Equinox p2 Discovery
 
 Group:          Development/Tools
@@ -16,18 +16,18 @@ Patch0:         remove-license-feature.patch
 
 BuildArch: noarch
 
-BuildRequires: eclipse-pde >= 1:3.4.0
-Requires: eclipse-platform >= 3.4.0
+BuildRequires: eclipse-pde >= 1:4.2.0
+Requires: eclipse-platform >= 4.2.0
 
 %description
 All of the bundles that comprise the Equinox p2 discovery component.
 
 %prep
-%setup -q -n %{name}-%{version}-%{src_repo_tag}
+%setup -q -n %{name}-%{src_repo_tag}
 %patch0
 
 %build
-%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.equinox.p2.discovery.feature
+eclipse-pdebuild -f org.eclipse.equinox.p2.discovery.feature
 
 %install
 install -d -m 755 %{buildroot}%{install_loc}
@@ -39,6 +39,9 @@ install -d -m 755 %{buildroot}%{install_loc}
 %{install_loc}
 
 %changelog
+* Tue Jul 10 2012 Krzysztof Daniel <kdaniel at redhat.com> 4.2.0-1
+- Update to latest upstream.
+
 * Fri Jan 13 2012 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.0.100-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
 
diff --git a/sources b/sources
index 60565d7..8d9a93b 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-cb8368f376bc457da652a648a499d43d  eclipse-p2-discovery-fetched-src-v20110519.tar.xz
+5b7c71503ebc67e8aa62eedefb9cb47d  eclipse-p2-discovery-fetched-src-R4_2.tar.xz


More information about the scm-commits mailing list